package info.textgrid.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import info.textgrid.model.Basket;

import info.textgrid.service.BasketLocalServiceUtil;

/**
 * The extended model base implementation for the Basket service. Represents a row in the &quot;textgridrep_Basket&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link BasketImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see BasketImpl
 * @see info.textgrid.model.Basket
 * @generated
 */
public abstract class BasketBaseImpl extends BasketModelImpl implements Basket {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a basket model instance should use the {@link Basket} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            BasketLocalServiceUtil.addBasket(this);
        } else {
            BasketLocalServiceUtil.updateBasket(this);
        }
    }
}
